Send input actions
curl --request POST \
--url https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/actions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"seq": 2,
"action": {
"x": 123,
"y": 123,
"button": 4,
"pressed": true,
"keysym": 2,
"text": "<string>",
"delta_x": 0,
"delta_y": 0
}
}
'import requests
url = "https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/actions"
payload = {
"seq": 2,
"action": {
"x": 123,
"y": 123,
"button": 4,
"pressed": True,
"keysym": 2,
"text": "<string>",
"delta_x": 0,
"delta_y": 0
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seq: 2,
action: {
x: 123,
y: 123,
button: 4,
pressed: true,
keysym: 2,
text: '<string>',
delta_x: 0,
delta_y: 0
}
})
};
fetch('https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/actions"
payload := strings.NewReader("{\n \"seq\": 2,\n \"action\": {\n \"x\": 123,\n \"y\": 123,\n \"button\": 4,\n \"pressed\": true,\n \"keysym\": 2,\n \"text\": \"<string>\",\n \"delta_x\": 0,\n \"delta_y\": 0\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "desktop_action_result",
"seq": 123
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Desktop sessions
Send input actions
POST
/
desktop_sessions
/
{desktop_session_id}
/
actions
Send input actions
curl --request POST \
--url https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/actions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"seq": 2,
"action": {
"x": 123,
"y": 123,
"button": 4,
"pressed": true,
"keysym": 2,
"text": "<string>",
"delta_x": 0,
"delta_y": 0
}
}
'import requests
url = "https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/actions"
payload = {
"seq": 2,
"action": {
"x": 123,
"y": 123,
"button": 4,
"pressed": True,
"keysym": 2,
"text": "<string>",
"delta_x": 0,
"delta_y": 0
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seq: 2,
action: {
x: 123,
y: 123,
button: 4,
pressed: true,
keysym: 2,
text: '<string>',
delta_x: 0,
delta_y: 0
}
})
};
fetch('https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.staging.bma.beeos.ai/v1/desktop_sessions/{desktop_session_id}/actions"
payload := strings.NewReader("{\n \"seq\": 2,\n \"action\": {\n \"x\": 123,\n \"y\": 123,\n \"button\": 4,\n \"pressed\": true,\n \"keysym\": 2,\n \"text\": \"<string>\",\n \"delta_x\": 0,\n \"delta_y\": 0\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "desktop_action_result",
"seq": 123
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Authorizations
apiKeybearer
Headers
Project scope. Required when the API key can access more than one project (alias: anthropic-workspace-id).
Path Parameters
Body
application/json